package com.sinognss.gnss.demo

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.sinognss.gnss.demo.databinding.ActivityGnssMainBinding

class GnssMainActivity : AppCompatActivity() {

    private lateinit var binding: ActivityGnssMainBinding


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityGnssMainBinding.inflate(layoutInflater)
        setContentView(binding.root)
        binding.btMock.setOnClickListener {
            startActivity(Intent(this, MockLocationActivity::class.java))
        }
        binding.btSystemNmea.setOnClickListener {
            startActivity(Intent(this, NmeaListenerActivity::class.java))
        }
        binding.btnAidl.setOnClickListener {
            startActivity(Intent(this, AidlDemoActivity::class.java))
        }
        binding.btnBoardcast.setOnClickListener {
            startActivity(Intent(this, GnssBroadcastActivity::class.java))
        }
    }

    override fun onDestroy() {
        super.onDestroy()
    }
}